Package org.pushingpixels.substance.internal.utils.border

# Class SubstanceBorder

java.lang.Object
org.pushingpixels.substance.internal.utils.border.SubstanceBorder

All Implemented Interfaces:
  `Border`, `UIResource`

public class SubstanceBorder extends Object implements Border, UIResource
Gradient border for the Substance look and feel. This class is for internal use only.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected float`
`alpha`
Border alpha.
`protected Insets`
`myInsets`
Insets of `this` border.
`protected float`
`radiusScaleFactor`
When the border is painted, the default radius is multiplied by this factor.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceBorder()`
Creates a new border with dynamic insets (computed at the invocation time of `getBorderInsets(Component)` call).
`SubstanceBorder(float radiusScaleFactor)`
Creates a new border with dynamic insets (computed at the invocation time of `getBorderInsets(Component)` call).
`SubstanceBorder(Insets insets)`
Creates a new border with the specified insets.

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`float`
`getRadiusScaleFactor()`
Returns the radius scale factor of this border.
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
`void`
`setAlpha(float alpha)`
Sets the alpha for this border.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myInsets

protected Insets myInsets
Insets of `this` border.

### alpha

protected float alpha
Border alpha.

### radiusScaleFactor

protected float radiusScaleFactor
When the border is painted, the default radius is multiplied by this factor.

## Constructor Details

### SubstanceBorder

public SubstanceBorder()
Creates a new border with dynamic insets (computed at the invocation time of `getBorderInsets(Component)` call).

### SubstanceBorder

public SubstanceBorder(float radiusScaleFactor)
Creates a new border with dynamic insets (computed at the invocation time of `getBorderInsets(Component)` call).

Parameters:
  `radiusScaleFactor` - Radius scale factor.

### SubstanceBorder

public SubstanceBorder(Insets insets)
Creates a new border with the specified insets.

Parameters:
  `insets` - Insets.

## Method Details

### setAlpha

public void setAlpha(float alpha)
Sets the alpha for this border.

Parameters:
  `alpha` - Alpha factor.

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### getRadiusScaleFactor

public float getRadiusScaleFactor()
Returns the radius scale factor of this border.

Returns:
  The radius scale factor of this border.